Bio::ViennaNGS::MinimalFeature(3)

NAME
Bio::ViennaNGS::MinimalFeature - A Moose wrapper for stranded genomic intervals.

SYNOPSIS
  use Bio::ViennaNGS::MinimalFeature;

  my $feat = Bio::ViennaNGS::MinimalFeature->new(chromosome => "chr1",
                                                 start => "1200",
                                                 end => "4300",
                                                 strand => "+",
                                                );
  $feat->dump();

DESCRIPTION
This module provides an object-oriented interface for storing elementary stranded genomic intervals characterized via chromosome, start position, end position and strand. As such, it can be regarded a simple wrapper for BED4 elements.

This class inherits from Bio::ViennaNGS::FeatureInterval and is the base classs for Bio::ViennaNGS::Feature.

METHODS

dump()
    Title : dump

    Usage : "$obj->dump;"

    Function: Print a tab-separated representation of $obj (a BED4
              line).

SEE ALSO

Bio::ViennaNGS
Bio::ViennaNGS::FeatureInterval
Bio::ViennaNGS::Feature

AUTHORS
Michael T. Wolfinger <michael@wolfinger.eu>

COPYRIGHT AND LICENSE
Copyright (C) 2014-2018 Michael T. Wolfinger <michael@wolfinger.eu>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.